summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2020-06-12 11:01:41 -0400
committerLuke Smith <luke@lukesmith.xyz>2020-06-12 11:01:41 -0400
commitbb934de611e000f8ff013d6acf692a04d40e3522 (patch)
treeee50c978f6515df8667e3cf2d58b924c6d0e27ea
parentf07469fbff5b49c6a069a9a6858bc1e263df0e3e (diff)
downloadeibhear-bb934de611e000f8ff013d6acf692a04d40e3522.tar.gz
eibhear-bb934de611e000f8ff013d6acf692a04d40e3522.tar.zst
eibhear-bb934de611e000f8ff013d6acf692a04d40e3522.zip
ifinstalled may take multiple progs
-rwxr-xr-x.local/bin/ifinstalled5
1 files changed, 4 insertions, 1 deletions
diff --git a/.local/bin/ifinstalled b/.local/bin/ifinstalled
index 6283521..e2013a4 100755
--- a/.local/bin/ifinstalled
+++ b/.local/bin/ifinstalled
@@ -5,4 +5,7 @@
# it informs the user that they need that command to continue. This is used in
# various other scripts for clarity's sake.
-pacman -Qq "$1" 2>/dev/null || { notify-send "📦 $1" "must be installed for this function." && exit 1 ;}
+for x in "$@";do
+ pacman -Qq "$x" 2>/dev/null ||
+ { notify-send "📦 $x" "must be installed for this function." && exit 1 ;}
+done